[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# BsfByte

Return the position of the rightmost set bit in an 8-bit value

## Declaration

Source position: systemh.inc line 786

`function BsfByte(`
`const AValue: Byte`
`):Byte;`

## Description

BsfByte scans the byte AValue, starting at position 0 (rightmost position) and returns the index of the first set bit. The position is measured from the 0-th, rightmost bit.

## See also

BsrByte |  | Return the position of the leftmost set bit in an 8-bit value
BsfWord |  | Return the position of the rightmost set bit in a 16-bit value
BsfDWord |  | Return the position of the rightmost set bit in a 32-bit value
BsfQWord |  | Return the position of the rightmost set bit in a 64-bit value

Documentation generated on: Feb 26 2014